Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.ode.nonstiff
Class ThreeEighthesIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.ThreeEighthesIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class ThreeEighthesIntegrator

extends RungeKuttaIntegrator

This class implements the 3/8 fourth order Runge-Kutta integrator for Ordinary Differential Equations.

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |  0    0    0    0
       1/3 | 1/3   0    0    0
       2/3 |-1/3   1    0    0
        1  |  1   -1    1    0
           |--------------------
           | 1/8  3/8  3/8  1/8

Since:
  1.2
Version:
  $Revision: 810196 $ $Date: 2009-09-01 21:47:46 +0200 (mar. 01 sept. 2009) $
See Also:
  `EulerIntegrator`, `ClassicalRungeKuttaIntegrator`, `GillIntegrator`, `MidpointIntegrator`

Field Summary

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

Constructor Summary
`ThreeEighthesIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`acceptStep, addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreeEighthesIntegrator

    public ThreeEighthesIntegrator(double step)

  Simple constructor. Build a 3/8 integrator with the given step.

  Parameters:
    `step` - integration step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.